package repository

import (
	. "gitlab.ost.ch/marketminds/marketminds/pkg/entity"
)

type NamedEntityRepository interface {
	GetByName(name string) (*NamedEntity, error)
	Create(entity *NamedEntity) error
	Update(entity *NamedEntity) error
	Delete(id int) error
}
